### Method

# RB ExtDBKey matches

#### Declaration [src]

    gboolean
    rb_ext_db_key_matches (
      RBExtDBKey* a,
      RBExtDBKey* b
    )

#### Description [src]

Checks whether the fields specified in `a` match `b`. For keys to match, they must have the same set of required fields, and the values for all must match. Optional fields must have the same values if present in both. Informational fields are ignored.

#### Parameters

`b`

  Type: `RBExtDBKey`

  Second `RBExtDBKey`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the keys match.